> ## Documentation Index
> Fetch the complete documentation index at: https://docs.taidalos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Subject



## OpenAPI

````yaml GET /v1/subjects/{subject_id}
openapi: 3.0.0
info:
  title: Taidalos API Documentation
  termsOfService: https://www.taidalos.com/gtc/
  contact:
    name: Customer Support
    url: https://www.taidalos.com
    email: cs@taidalos.com
  version: '1.0'
servers:
  - url: https://api.taidalos.com
security: []
tags:
  - description: Operations about subjects
    name: Subjects
  - description: Operations about media search configuration
    name: Media Search Configuration
  - description: Operations about media search
    name: Media Search
externalDocs:
  description: Get started with guides
  url: https://taidalos.com/tags/guide/
paths:
  /v1/subjects/{subject_id}:
    get:
      tags:
        - Subjects
      summary: Get Subject
      parameters:
        - description: subject_id
          name: subject_id
          in: path
          required: true
          schema:
            type: string
        - description: <Authorization Token>
          name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.getSubjectResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/main.problemJson'
components:
  schemas:
    main.getSubjectResponse:
      type: object
      properties:
        data:
          description: '`data` holds the detailed information of a subject.'
          allOf:
            - $ref: '#/components/schemas/main.subjectEntity'
    main.problemJson:
      type: object
      properties:
        context:
          description: >-
            `context` provides additional information about the error, including
            the HTTP method and path where it occurred.
          allOf:
            - $ref: '#/components/schemas/main.defaultProblemContext'
        details:
          description: >-
            `details` provides a detailed human-readable explanation of the
            specific error.
          type: string
          example: Details explaining the error
        instance:
          description: >-
            `instance` specifies a unique URI identifying the context of the
            error, such as organisation, user, and request details.
          type: string
          example: /org/{org_id}/user/{user_id}/request-id/{request_id}
        title:
          description: >-
            `title` provides a short, human-readable summary of the problem type
            or error encountered.
          type: string
          example: Error ShortName
        type:
          description: >-
            `type` is a URI reference that identifies the problem type, allowing
            clients to recognize the type of error encountered.
          type: string
          example: https://errors.taidalos.com/common/{error-type}
    main.subjectEntity:
      type: object
      properties:
        aliases:
          description: '`aliases` represent alternative names associated with the subject.'
          type: array
          items:
            type: string
          example:
            - Facebook
            - Instagram
        created_at:
          description: >-
            `created_at` represents the time when the subject entity was
            created.
          type: string
          example: '2024-10-22T07:37:56.676Z'
        created_by:
          description: >-
            `created_by` represents information about the user that created the
            subject.
          allOf:
            - $ref: '#/components/schemas/main.createdBy'
        date_of_birth:
          description: '`date_of_birth` represents the date of birth of a subject.'
          type: string
          example: '1980-04-07T00:00:00.000Z'
        date_of_incorporation:
          description: >-
            `date_of_incorporation` represents the date when the entity was
            legally formed, formatted as a string.
          type: string
          example: '1980-04-07T00:00:00.000Z'
        industries:
          description: >-
            `industries` represents a list of industries associated with the
            subject.
          type: array
          items:
            type: string
          example:
            - Banking
            - Insurance
            - Telecommunications
        internal_id:
          description: >-
            `internal_id` represents the internal identifier for a subject,
            typically used for referencing within internal systems.
          type: string
          example: crm_id#123456789
        name:
          description: '`name` represents the name of the subject.'
          type: string
          example: Jan Marsalek
        nationalities:
          description: >-
            `nationalities` represents the list of nationalities associated with
            the subject.
          type: array
          items:
            type: string
          example:
            - US
            - GB
        places:
          description: '`places` contains a list of places associated with the subject.'
          type: array
          items:
            $ref: '#/components/schemas/main.subjectPlace'
        subject_id:
          description: '`subject_id` represents the unique identifier for the subject.'
          type: string
          example: d43a4ec2-3eb8-46ad-9ca9-09a26540968f
        type:
          description: >-
            `type` represents the category of the subject, which could be an
            individual (INDIVIDUAL) or an organisation (LEGAL_ENTITY).
          type: string
          enum:
            - INDIVIDUAL
            - LEGAL_ENTITY
            - VESSEL
    main.defaultProblemContext:
      type: object
      required:
        - method
        - path
      properties:
        method:
          description: >-
            `method` specifies the HTTP method (e.g., GET, POST) that was used
            in the problematic request.
          type: string
          example: '{method}'
        path:
          description: >-
            `path` specifies the HTTP request path associated with the
            encountered problem.
          type: string
          example: '{path}'
        timestamp:
          type: string
    main.createdBy:
      type: object
      properties:
        user_id:
          description: '`user_id` represents the unique identifier for the user.'
          type: string
          example: d43a4ec2-3eb8-46ad-9ca9-09a26540968f
    main.subjectPlace:
      type: object
      properties:
        description:
          description: '`description` provides a brief explanation or label for the place.'
          type: string
          example: Head Office
        place:
          description: >-
            `place` represents the specific location associated with the
            subject, formatted as an address or location string.
          type: string
          example: 123 Main Street, New York, USA

````